@import url('https://fonts.googleapis.com/css2?family=Comfortaa:wght@400;500;700&display=swap');

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

.display-none {
    display: none;
}

.display-flex {
    display: flex;
}

body {
    background: url(pic.jpg);
    background-repeat: no-repeat;
    background-attachment: fixed;
    background-position: center;
    /* background-size: auto 100%; */
}

.loader {
    position: fixed;
    z-index: 99;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: white;
    display: flex;
    justify-content: center;
    align-items: center ;
}

.loader > img {
    width: 100px;
}

.loader.hidden {
    animation: fadeOut 0.5s;
    animation-fill-mode: forwards;
}

@keyframes fadeOut {
    100% {
        opacity: 0;
        visibility: hidden;
    }
}

.app-logo {
    font-family: 'Comfortaa', cursive;
    font-size: 6rem;
    text-align: center;
    background: linear-gradient(45deg, #ff105f 33%, #ffad06 66%, #f0a037);
    color: #dc5959;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}

.password-incorrect-wrapper {
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin-top: 4rem;
    font-family: 'Comfortaa', cursive;
}
.password-incorrect-wrapper p{
    text-align: center;
    font-size: 18px;
    color: red;
}

.register-successful-wrapper {
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin-top: 4rem;
    font-family: 'Comfortaa', cursive;
}

.register-successful-wrapper p {
    font-size: 18px;
    color: #23bd30;
}

.register-successful-wrapper i{
    font-size: 8rem;
    color: #dc5959;
}


#loginForm {
    height: 100%;
    width: 100%;
    background-position: center;
    background-size: cover;
    position: absolute;
}

.form-box {
    width: 380px;
    height: 540px;
    position: relative;
    margin: 3% auto;
    background: #fff;
    padding: 5px;
    overflow: hidden;
}

.button-box {
    width: 220px;
    margin: 35px auto;
    position: relative;
    box-shadow: 0 0 20px 9px #ff61241f;
    border-radius: 30px;
}

.toggle-btn-in {
    padding: 10px 30px;
    cursor: pointer;
    background: transparent;
    border: 0;
    outline: none;
    position: relative;
}
.toggle-btn-up {
    padding: 10px 30px;
    cursor: pointer;
    background: transparent;
    border: 0;
    outline: none;
    position: relative;
}

#btn {
    top: 0;
    left: 0;
    position: absolute;
    width: 110px;
    height: 100%;
    background: linear-gradient(to right, #ff105f, #ffad06);
    border-radius: 30px;
    transition: 0.5s;
}

.input-group{
    top: 180px;
    position: absolute;
    width:280px;
    transition: 0.5s;
}

.input-field{
    width: 100%;
    padding: 10px 0;
    margin: 5px auto;
    border-left: 0;
    border-right: 0;
    border-top: 0;
    border-bottom: 1px solid #999;
    outline: none;
    background: transparent;
}

.submit-btn{
    width: 85%;
    padding: 10px 30px;
    cursor: pointer;
    display: block;
    margin: auto;
    background: linear-gradient(to right, #ff105f, #ffad06);
    border: 0;
    outline: none;
    border-radius: 30px;
}

.check-box{
    margin: 30px 10px 30px 0;
    cursor: pointer;

}

span {
   color: #777;
   font-size: 12px;
   bottom: 68px;
   position: absolute; 
}

#login{
    left: 50px;
}

#register{
    left: 450px;
}

.form-control {
    position: relative;
}

.form-control i {
    visibility: hidden;
    position: absolute;
    top: 20px;
    right: 10px;
}

.form-control small {
    visibility: hidden;
    font-size: 12px;
}

.form-control.error small {
    visibility: visible;
    color: #e74c3c
}

.form-control.success i.fa-check-circle {
    visibility: visible;
    color: #2ecc71
}

.form-control.error i.fa-exclamation-circle {
    visibility: visible;
    color: #e74c3c
}



/* Media Queries */

@media(max-width: 800px){

}